'use strict';
const {
  Model
} = require('sequelize');
module.exports = (sequelize, DataTypes) => {
  class LoyaltyPoints extends Model {
    /**
     * Helper method for defining associations.
     * This method is not a part of Sequelize lifecycle.
     * The `models/index` file will call this method automatically.
     */
    static associate(models) {
      // define association here

      LoyaltyPoints.belongsTo(models.Customer, { foreignKey: 'customerId', as: 'customer' });
    }
  }
  LoyaltyPoints.init({
    customerId: DataTypes.INTEGER,
    orderId: DataTypes.INTEGER,
    transactionType: DataTypes.STRING,
    points: DataTypes.INTEGER,
    description: DataTypes.STRING,
    transactionDate: DataTypes.DATE,
    balanceAfter: DataTypes.INTEGER
  }, {
    sequelize,
    modelName: 'LoyaltyPoints',
  });
  return LoyaltyPoints;
};